# haikuist [![build status](https://badgen.net/travis/vladimyr/haikuist/master)](https://travis-ci.com/vladimyr/haikuist) [![install size](https://badgen.net/packagephobia/install/haikuist)](https://packagephobia.now.sh/result?p=haikuist) [![npm package version](https://badgen.net/npm/v/haikuist)](https://npm.im/haikuist) [![github license](https://badgen.net/github/license/vladimyr/haikuist)](https://github.com/vladimyr/haikuist/blob/master/LICENSE) [![js semistandard style](https://badgen.net/badge/code%20style/semistandard/cyan)](https://github.com/Flet/semistandard)

> Fetch haikus from <https://haiku.ist> from your terminal

## Installation

    $ npm install -g haikuist

Or for a one-time run:

    $ npx haikuist

## Usage

    $ haikuist --help

    haikuist v1.0.0

    Usage:
      $ haikuist [command]
      $ haikuist latest     Fetch latest haiku
      $ haikuist about      Display contents of about page

    Options:
      --info         Display https://haiku.ist/about page                [boolean]
      -h, --help     Show help                                           [boolean]
      -v, --version  Show version number                                 [boolean]

    Homepage:     https://github.com/vladimyr/haikuist
    Report issue: https://github.com/vladimyr/haikuist/issues

## API

<!-- Generated by documentation.js. Update this documentation by updating the source code. -->

#### Table of Contents

-   [about](#about)
-   [count](#count)
-   [fetchPosts](#fetchposts)
    -   [Parameters](#parameters)
-   [fetchLatest](#fetchlatest)
-   [fetchRandom](#fetchrandom)
-   [Page](#page)
-   [Post](#post)
-   [Response](#response)

### about

Retrieve contents of [haiku.ist/about](https://haiku.ist/about/) page.

Returns **[Promise](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Promise)&lt;[Page](#page)>** About page.

### count

Get total number of haikus.

Returns **[Promise](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Promise)&lt;[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)>** Total number of haikus available.

### fetchPosts

Retrieve multiple haikus from [haiku.ist](https://haiku.ist) archive.

#### Parameters

-   `options` **[Object](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Object)** WordPress REST API `/posts` endpoint
                             [arguments](https://developer.wordpress.org/rest-api/reference/posts/#arguments).
    -   `options.pageSize` **[Number](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Number)** Maximum number of items to be returned in result set. (optional, default `10`)

Returns **[Promise](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Promise)&lt;[Response](#response)&lt;[Post](#post)>>** Paginated listing of haiku posts.

### fetchLatest

Fetch latest haiku.

Returns **[Promise](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Promise)&lt;[Post](#post)>** Latest post containing haiku.

### fetchRandom

Fetch random haiku from [haiku.ist](https://haiku.ist) archive.

Returns **[Promise](https://developer.mozilla.org/docs/Web/JavaScript/Reference/Global_Objects/Promise)&lt;[Post](#post)>** Random post containing haiku.

### Page

-   **See: <https://www.npmjs.com/package/wp-api-client#page>**

WordPress API client `Page` response type.

Type: WordPressClient.Page

### Post

-   **See: <https://www.npmjs.com/package/wp-api-client#post>**

WordPress API client `Post` response type.

Type: WordPressClient.Post

### Response

-   **See: <https://www.npmjs.com/package/wp-api-client#response>**

WordPress API client response type used for paginated responses.

Type: WordPressClient.Response&lt;T>
